> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/custombet-cb/api/available-selections.md).

# Available Selections

**Request Parameters**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Type</th><th>Required</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td>urn_type</td><td>string</td><td>Yes</td><td>The event type</td><td>sr:match</td></tr><tr><td>id</td><td>int</td><td>Yes</td><td>ID of the event</td><td>6623456</td></tr></tbody></table>

**Response**

<table data-full-width="true"><thead><tr><th>Element</th><th>Description</th><th>Attribute(s)</th><th>Attribute Description</th><th>Possible Values</th></tr></thead><tbody><tr><td><strong>available_selections</strong></td><td>Root element</td><td><code>xmlns</code></td><td>XML namespace.</td><td>Always <strong>http://schemas.sportradar.com/custombet/v1/endpoints</strong></td></tr><tr><td></td><td></td><td><code>generated_at</code></td><td>Date and time of generated response in ISO 8601 format.</td><td><code>2019-05-06T12:34:49+00:00</code></td></tr><tr><td><strong>event</strong></td><td>Element containing event-specific attributes.</td><td><code>id</code></td><td>This id represents a unique match.</td><td><code>sr:match:12345</code></td></tr><tr><td><strong>markets</strong></td><td>Element containing all markets for a specific event.</td><td>-</td><td>-</td><td>-</td></tr><tr><td><strong>market</strong></td><td>Element containing all outcomes for a market.</td><td><code>id</code></td><td>The unique id for a specific market.</td><td>Integer value:<br>• 18<br>• 26<br>• 551</td></tr><tr><td></td><td></td><td><code>specifiers</code> <em>(optional)</em></td><td>Specifiers are a way to uniquely identify a market with additional parameters together with the market id.</td><td>Example:<br><code>specifiers="total=1.5"</code> and outcomes <code>"under 1.5"</code> or <code>"over 1.5"</code>.</td></tr><tr><td><strong>outcome</strong></td><td>Element containing a unique outcome id for a market.</td><td><code>id</code></td><td>The identifier of a unique outcome within a specific market.</td><td>Integer or string value:<br>• 12<br>• 70<br>• <code>sr:goal_range:7+-1343</code><br>• <code>sr:player:123456</code></td></tr></tbody></table>

## Available selections

> Retrieve all available markets and outcomes for a given sport event. Response is returned in XML format.

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://api.betradar.com/v1"}],"security":[{"apiKeyAuth":[]}],"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/custombet/{urn_type}:{id}/available_selections":{"get":{"summary":"Available selections","description":"Retrieve all available markets and outcomes for a given sport event. Response is returned in XML format.","operationId":"availableSelections","tags":["CustomBet API"],"parameters":[{"name":"urn_type","in":"path","description":"The event type.","required":true,"schema":{"type":"string","enum":["sr:match"]}},{"name":"id","in":"path","description":"ID of the event.","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Successful operation","content":{"application/xml":{}}},"401":{"description":"Unauthorized. Token is missing or invalid."},"403":{"description":"Forbidden."},"404":{"description":"Event not found. Invalid event ID."},"429":{"description":"Too many requests. Rate limit reached."},"500":{"description":"Internal Server Error. Retry or contact support."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/custombet-cb/api/available-selections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
